%{!?dist: %define dist .slc5}
Name: cern-get-sso-cookie
Version: 0.2
Release: 2%{?dist}
Summary: A script to get CERN SSO Authentication cookie for command line tools. 
Group: CERN/Utilities
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: perl >= 5.8.5
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-WWW-CERNSSO-Auth >= 0.1

%description
cern-get-sso-cookie is a command line utility which allows to acquire CERN Single Sign On 
cookies using Kerberos credentials or User certificates for later use with 
command line utilities alike curl, wget and other.

%package -n perl-WWW-CERNSSO-Auth
Summary: Perl extension interface for CERN SSO
Group: Development/Libraries

Requires: perl >= 5.8.5
Requires: perl-WWW-Curl >= 4.09

Provides: perl-WWW-CERNSSO-Auth  = %{version}



%description -n perl-WWW-CERNSSO-Auth
perl-WWW-CERNSSO-Auth (WWW::CERNSSO::Auth) provides perl extension interface for 
CERN Single Sign On system.

%prep

%setup

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT/ PERLLIBDIR=%{_libdir}/perl5/vendor_perl
%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-, root, root)
/usr/bin/cern-get-sso-cookie
/usr/share/man/man3/cern-get-sso-cookie.*

%files -n perl-WWW-CERNSSO-Auth
%{_libdir}/perl5/vendor_perl/WWW/CERNSSO/Auth.pm
/usr/share/man/man3/WWW::CERNSSO::Auth.*

%changelog
* Mon Jul  9 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.2
- added missing constants for SLC5
* Fri Jul  6 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.1
- initial release.
